using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class crossarrivee : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.PreviousPage != null)
        {
            // il y a eu un cross POST back
            crossdepart p = Page.PreviousPage as crossdepart;
            TextBox txt_num = Page.PreviousPage.FindControl("txt_numero") as TextBox;

            lbl_carte.Text = string.Format("Paiement à partir de la carte n°{0} XXXX XX{1}",
                txt_num.Text.Substring(0, 4),
                txt_num.Text.Substring(14, 2));
        }
    }
}